QuarkXPress on OS X El Capitan, Windows 10 and other OS's

Discuss functionality of QuarkXPress 10, 9 & 8 (and before) (excluding Digital Publishing).
For Digital Publishing functionality please refer to forums in the "Digital Publishing" group.

As QuarkXPress 1 thru 10 are not supported by Quark anymore, please upgrade to a newer version of QuarkXPress if you are looking for official support. Support options for supported versions are here: http://support.quark.com

QuarkXPress on OS X El Capitan, Windows 10 and other OS's

Postby Matthias Guenther (Quark) » 20 Aug 2009, 00:00

To find out what's the latest update (sub version) of each version of QuarkXPress, please see here: viewtopic.php?f=14&t=6651

Supported platforms

QuarkXPress 2015 / 2016 / 2017

Please see here: viewtopic.php?f=46&t=26911


QuarkXPress 10

QuarkXPress 10 is officially supported under
  • Mac OS X 10.10 (Yosemite) – needs at least 10.5,
  • Mac OS X 10.9 (Mavericks) – needs at least 10.0.1,
  • Mac OS X 10.8 (Mountain Lion) and
  • Mac OS X 10.7 (Lion) – only 10.2.1 (and lower).
  • Windows 8.1 (32-bit and 64-bit) – needs at least 10.0.1, High-DPI displays need at least 10.2.1,
  • Windows 8 (32-bit and 64-bit) and
  • Windows 7 (32-bit and 64-bit).

Please note that QuarkXPress 10 will not be supported on Windows 10.
Please note that QuarkXPress 10 will not be supported on OS X El Capitan, macOS Sierra or later.


If you plan to use OS X El Capitan (10.11) or Windows 10, then please upgrade at least to QuarkXPress 2015, which supports Windows 10 (64 bit) and OS X El Capitan.
If you plan to use macOS Sierra (10.12), then please upgrade to at least QuarkXPress 2016, which will support macOS Sierra soon.

Our tests show immediate crashes when you move the mouse cursor over a palette in QuarkXPress 10 under El Capitan, so please DO NOT use QuarkXPress 10 with OS X 10.11. If you absolutely must, then you might consider using QuarkXPress version 10.5.2.4, which is an unsupported version of QuarkXPress 10, however we fixed the crash scenarios under on El Capitan.


QuarkXPress 9

QuarkXPress 9 was officially supported under
  • Mac OS X 10.9 (Mavericks) - needs at least 9.5.4,
  • Mac OS X 10.8 (Mountain Lion) - needs at least 9.3.1,
  • Mac OS X 10.7 (Lion),
  • Mac OS X 10.6 (Snow Leopard),
  • Mac OS X 10.5 (Leopard) - only 9.5.3.1 or lower (9.5.4 and higher will not support Leopard anymore),
    (QuarkXPress 9 requires a Mac Intel under OS X)
  • Windows 8 (32-bit and 64-bit) - needs at least 9.5.1,
  • Windows 7 (32-bit and 64-bit),
  • Windows Vista and
  • Windows XP.

QuarkXPress 9.5.4 fixes the issue of QuarkXPress crashing on Mavericks when moving boxes.
QuarkXPress 9.5.4.1 fixes the issue of the virtually invisible mouse cursor on newer Apple hardware.


Please note that QuarkXPress 9 will not be supported under OS X Yosemite (or higher).
Of course we didn't put anything into v9 that prevents it from running under Yosemite, so you might do so at your own risk. You can see some tips how to try make this work here: viewtopic.php?f=23&t=26849
FYI: We do know of an installer issue, preventing QuarkXPress 9 of being installed under Yosemite. Migrated version (upgrading OS X to Yosemite with an installed copy) do not have this issue of course. And there are several glitches that occur in QuarkXPress 9 under Yosemite.

Please note that QuarkXPress 9 will not be supported under Windows 10.
QuarkXPress 9 runs with a few hiccups on older versions of Windows 10.
Most likely with "Windows 10 - Version 1607" (and higher) Microsoft has done some changes to Windows 10, which crash QuarkXPress 9. Please upgrade to a newer version of QuarkXPress if you plan to use Windows 10.

QuarkXPress 8

QuarkXPress 8 was officially supported under
  • Mac OS X 10.6 (Snow Leopard),
  • Mac OS X 10.5 (Leopard),
  • Mac OS X 10.4 (Tiger),
    (QuarkXPress 8 supports Power-PC based Macs as well as Mac Intels)
  • Windows 7 (32-bit and 64-bit),
  • Windows Vista and
  • Windows XP.
QuarkXPress 8 is not supported on OS X Lion, OS X Mountain Lion, OS X Mavericks, or higher.
QuarkXPress 8 is not supported on Windows 8 or Windows 10.


Users on Windows XP, OS X Mavericks (10.9) or lower versions

Please note that Microsoft has stopped supporting Windows XP (and versions before).
Please note that Apple has stopped supporting Mac OS X Mavericks (10.9) (and versions before).

That means that new security holes or newer hardware are not fixed or supported by the operating system vendors. Therefore Quark cannot support QuarkXPress on such operating systems. Thank you for your understanding.


Important note

If you plan to use a version of QuarkXPress on an unsupported operating system, please test this intensively beforehand, as you are using it on your own risk.

Please note that Quark offers technical support and help solely for supported combinations (= version of QuarkXPress and version of operating system). Though that does not mean that unsupported combinations won't run, it means that Quark didn't test these combinations and therefore cannot offer any help for unsupported combinations. Should you need assistance or want Quark to help investigate an issue, please stay on supported combinations. Thank you!

Also, Quark has official policies when support for versions of QuarkXPress ends.


Version by operating system

Here's the list the other way round: viewtopic.php?f=8&t=27713


How to revert OS X

And please read this too: http://www.planetquark.com/2013/11/05/b ... roduction/


Regards
Matthias
User avatar
Matthias Guenther (Quark)
Quarkian
Quarkian
 
Posts: 5270
Joined: 04 Jun 2004, 15:06
Location: http://bit.ly/QuarkHamburg

Return to QuarkXPress 8, 9 & 10: General

Who is online

Users browsing this forum: No registered users and 1 guest